Skip to main content

Revoke Privilege From Role (V2)

This operation revokes a privilege from a role at the global, database, or collection level.

POST/v2/vectordb/roles/revoke_privilege_v2
Connection Endpoint

The base URL for this API is in the following format:

https://${CLUSTER_ENDPOINT}

📘Notes
  • You need to fill in ${CLUSTER_ENDPOINT} with that of your Zilliz Cloud cluster.
  • To get the endpoint, use the Describe Cluster V2 API to extract the values from the responses.
shell
export CLUSTER_ENDPOINT=""
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges or a pair of colon-joined username and password, like username:password. If you are using a project endpoint, only a valid API key with sufficient permissions applies.

Example Value: Bearer {{TOKEN}}
Request Body
roleNamestringrequired

The name of the role.

privilegestringrequired

The privilege to grant or revoke.

dbNamestring

The name of the database to which the privilege applies. Use * for all databases.

collectionNamestring

The name of the collection to which the privilege applies. Use * for all collections.

bash
export TOKEN="db_admin:xxxxxxxxxxxxx"

curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/roles/revoke_privilege_v2" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"roleName": "my_role",
"privilege": "Insert",
"dbName": "my_database",
"collectionName": "my_collection"
}'
Responses

None

A generic response envelope used by operations that return no substantial payload.

codeinteger

Response code.

dataobject

Payload object of the response envelope. It holds the result content of the operation.

Returns an error message.

codeinteger

Response code.

messagestring

Error message.

Successjson
{
"code": 0,
"data": {}
}